Object.defineProperty(exports, "__esModule", { value: true });
function getXmlAttributeValue(xml, name) {
    try {
        return xml.$[name];
    }
    catch (err) {
        // reading xml values is resilient to errors but you can uncomment the next line for debugging if attributes are missing
        // console.error(`Unable to get xml attribute value "${name}". ${err}`);
    }
}
exports.getXmlAttributeValue = getXmlAttributeValue;
function getXmlElementAttributeValue(xml, elementName, attributeName = "DefaultValue") {
    const element = getXmlElementValue(xml, elementName);
    if (element) {
        return getXmlAttributeValue(element, attributeName);
    }
}
exports.getXmlElementAttributeValue = getXmlElementAttributeValue;
function getXmlElementValue(xml, name) {
    try {
        const element = xml[name];
        if (element) {
            return element[0];
        }
    }
    catch (err) {
        // reading xml values is resilient to errors but you can uncomment the next line for debugging if elements are missing
        // console.error(`Unable to get xml element value "${name}". ${err}`);
    }
}
exports.getXmlElementValue = getXmlElementValue;
function setXmlElementAttributeValue(xml, elementName, input, attributeName = "DefaultValue") {
    xml[elementName][0].$[attributeName] = input;
}
exports.setXmlElementAttributeValue = setXmlElementAttributeValue;
function setXmlElementValue(xml, elementName, input) {
    xml[elementName] = input;
}
exports.setXmlElementValue = setXmlElementValue;
//# sourceMappingURL=xml.js.map